#ifndef CUSTOMTABLEWIDGET_H
#define CUSTOMTABLEWIDGET_H

#include <QObject>
#include <QTreeWidget>
#include <QScrollArea>
#include <QHeaderView>
#include <QTreeWidgetItem>

class CustomTableWidget : public QTreeWidget
{
    Q_OBJECT
public:
    CustomTableWidget(QList<QString> header, QWidget *parent = nullptr);

    void insertItem(int i, QStringList content);
    QStringList getSelectedRow();
};

#endif // CUSTOMTABLEWIDGET_H
